/*******************************************************************************
*                                                                              *
* Copyright 2012 Rheinmetall Canada Inc.                                  	   *
*                                                                              *
* No part of this document may be reproduced, stored in                        *
* a retrieval system, or transmitted, in any form or by any means,             *
* electronic, mechanical, photocopying, recording, or otherwise,               *
* without the prior written permission of Rheinmetall Canada Inc.              *
*                                                                              *
*******************************************************************************/
/*
	Description:
	This is a template file for standard C header file.

*/

/* ************************************************************************** */
/* Revision:
### YYYYMMDD JFM
	Original version.

### YYYYMMDD Initial, Bug Identification
	Change description.
 */
#define TERMINAL_STRING_LENGTH 300
#define USE_WINC1500
enum eTerminalCmds
{
	HELP_CMD,
	PWM_CMD,
	SET_CMD,
	MAX_CMD
};

enum eTerimnalTickStates
{
    TERMINAL_INIT_STATE,
    TERMINAL_RUN_STATE
};

enum eTerminalActions
{
    TERMINAL_ACTION_NONE = 0,
    TERMINAL_ACTION_TURN_OFF_WIFI,
    
    TERMINAL_ACTION_MAX
};


void InitTerminal(void);


void RxTerminalData(unsigned char Data);
void RxTerminalBuf(unsigned char *DataBuf, int size);
void ParseNewBuffer(void);
void TerminalStateMachine(void);

void TickTerminal(void);
void TerminalPrintString(char *str);
void TerminalPrintChar(char byte);

void TerminalPrintValveStatus();
void TerminalPrintFlowStatus();
void TerminalPrintHygroStatus(int unit);

//EOF

